/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.cobi.igg3.entity;

/**
 *
 * @author MX Li
 */
public class CommonGenetFileSet {

    protected String pedigreeFileName;
    protected String mapFileName;
    //if plinkBinaryFileName is not null, it must be a plink binary file
    protected String plinkBinaryFileName;
    //-3, -2, -1 denote all are forward, reverse and unknown respectively  and an integer over or equal 0 indicate the strand column
    protected int strand = -1;
    protected int chromIndex;
    protected int posIndex;
    protected String name;
    protected int rsIndex;

    public String getPlinkBinaryFileName() {
        return plinkBinaryFileName;
    }

    public void setPlinkBinaryFileName(String plinkBinaryFileName) {
        this.plinkBinaryFileName = plinkBinaryFileName;
    }


    /**
     * Get the value of rsIndex
     *
     * @return the value of rsIndex
     */
    public int getRsIndex() {
        return rsIndex;
    }

    /**
     * Set the value of rsIndex
     *
     * @param rsIndex new value of rsIndex
     */
    public void setRsIndex(int rsIndex) {
        this.rsIndex = rsIndex;
    }

    public CommonGenetFileSet(String name) {
        this.name = name;
    }

    @Override
    public String toString() {
        return name;
    }

    public CommonGenetFileSet(String name, String pedigreeFileName, String mapFileName,
            int strand, int chromIndex, int rsIndex, int posIndex) {
        this.pedigreeFileName = pedigreeFileName;
        this.mapFileName = mapFileName;
        this.strand = strand;
        this.chromIndex = chromIndex;
        this.posIndex = posIndex;
        this.rsIndex = rsIndex;
        this.name = name;
    }

    /**
     * Get the value of name
     *
     * @return the value of name
     */
    public String getName() {
        return name;
    }

    /**
     * Set the value of name
     *
     * @param name new value of name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * Get the value of posIndex
     *
     * @return the value of posIndex
     */
    public int getPosIndex() {
        return posIndex;
    }

    /**
     * Set the value of posIndex
     *
     * @param posIndex new value of posIndex
     */
    public void setPosIndex(int posIndex) {
        this.posIndex = posIndex;
    }

    /**
     * Get the value of chromIndex
     *
     * @return the value of chromIndex
     */
    public int getChromIndex() {
        return chromIndex;
    }

    /**
     * Set the value of chromIndex
     *
     * @param chromIndex new value of chromIndex
     */
    public void setChromIndex(int chromIndex) {
        this.chromIndex = chromIndex;
    }

    /**
     * Get the value of strand
     *
     * @return the value of strand
     */
    public int getStrand() {
        return strand;
    }

    /**
     * Set the value of strand
     *
     * @param strand new value of strand
     */
    public void setStrand(int strand) {
        this.strand = strand;
    }

    /**
     * Get the value of mapFileName
     *
     * @return the value of mapFileName
     */
    public String getMapFileName() {
        return mapFileName;
    }

    /**
     * Set the value of mapFileName
     *
     * @param mapFileName new value of mapFileName
     */
    public void setMapFileName(String mapFileName) {
        this.mapFileName = mapFileName;
    }

    /**
     * Get the value of PedigreeFileName
     *
     * @return the value of PedigreeFileName
     */
    public String getPedigreeFileName() {
        return pedigreeFileName;
    }

    /**
     * Set the value of PedigreeFileName
     *
     * @param PedigreeFileName new value of PedigreeFileName
     */
    public void setPedigreeFileName(String PedigreeFileName) {
        this.pedigreeFileName = PedigreeFileName;
    }
}
