// (c) 2008-2009 Miaoxin Li
// This file is distributed as part of the IGG source code package
// and may not be redistributed in any form, without prior written
// permission from the author. Permission is granted for you to
// modify this file for your own personal use, but modified versions
// must retain this copyright notice and must not be distributed.

// Permission is granted for you to use this file to compile IGG.

// All computer programs have bugs. Use this file at your own risk.
// Saturday, January 17, 2009
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.cobi.igg3.entity;

import cern.colt.list.LongArrayList;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 *
 * @author mxli
 */
public class ExportSetting {

    private String trimmingType;
    private double trimmingInterval;
    private boolean removeBadMendel;
    private boolean removeMissingAll;
    private boolean correctAnnoFreq;
    private boolean numberAllele;
    private boolean separateByChrom;
    private String exportPath;
    private String prefixFileName;
    private String toolName;
    private String missingGty;
    private List<String[]> traitProper;
    Map<String, LongArrayList> selectedRegions;
    //'0' for unknown '+' for forward  '-' for reverse
    private char strandOut='0';

    public char getStrandOut() {
        return strandOut;
    }

    public void setStrandOut(char strandOut) {
        this.strandOut = strandOut;
    }

    public Map<String, LongArrayList> getSelectedRegions() {
        return selectedRegions;
    }

    public void setSelectedRegions(Map<String, LongArrayList> selectedRegions) {
        this.selectedRegions = selectedRegions;
    }

    public boolean isSeparateByChrom() {
        return separateByChrom;
    }

    public void setSeparateByChrom(boolean separateByChrom) {
        this.separateByChrom = separateByChrom;
    }

    public ExportSetting() {
        traitProper = new ArrayList<String[]>();
    }

    public boolean isCorrectAnnoFreq() {
        return correctAnnoFreq;
    }

    public void setCorrectAnnoFreq(boolean correctAnnoFreq) {
        this.correctAnnoFreq = correctAnnoFreq;
    }

    public String getExportPath() {
        return exportPath;
    }

    public void setExportPath(String exportPath) {
        this.exportPath = exportPath;
    }

    public String getMissingGty() {
        return missingGty;
    }

    public void setMissingGty(String missingGty) {
        this.missingGty = missingGty;
    }

    public boolean isNumberAllele() {
        return numberAllele;
    }

    public void setNumberAllele(boolean numberAllele) {
        this.numberAllele = numberAllele;
    }

    public String getPrefixFileName() {
        return prefixFileName;
    }

    public void setPrefixFileName(String prefixFileName) {
        this.prefixFileName = prefixFileName;
    }

    public boolean isRemoveBadMendel() {
        return removeBadMendel;
    }

    public void setRemoveBadMendel(boolean removeBadMendel) {
        this.removeBadMendel = removeBadMendel;
    }

    public boolean isRemoveMissingAll() {
        return removeMissingAll;
    }

    public void setRemoveMissingAll(boolean removeMissingAll) {
        this.removeMissingAll = removeMissingAll;
    }

    public String getToolName() {
        return toolName;
    }

    public void setToolName(String toolName) {
        this.toolName = toolName;
    }

    public List<String[]> getTraitProper() {
        return traitProper;
    }

    public void addTraitProper(String[] traitProper) {
        this.traitProper.add(traitProper);
    }

    public String getTrimingType() {
        return trimmingType;
    }

    public void setTrimingType(String trimingType) {
        this.trimmingType = trimingType;
    }

    public double getTrimmingInterval() {
        return trimmingInterval;
    }

    public void setTrimmingInterval(double trimmingInterval) {
        this.trimmingInterval = trimmingInterval;
    }
}
