// (c) 2008-2009 Miaoxin Li
// This file is distributed as part of the IGG source code package
// and may not be redistributed in any form, without prior written
// permission from the author. Permission is granted for you to
// modify this file for your own personal use, but modified versions
// must retain this copyright notice and must not be distributed.

// Permission is granted for you to use this file to compile IGG.

// All computer programs have bugs. Use this file at your own risk.
// Saturday, January 17, 2009
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package org.cobi.igg3.gui;

import java.awt.Color;
import javax.swing.JLabel;
import javax.swing.JProgressBar;
import javax.swing.plaf.basic.BasicProgressBarUI;

/**
 *
 * @author Miaoxin Li
 */
public class MemoryProgressThread extends Thread {

    JProgressBar pbar;
    JLabel label;
    int M = 1048576;

    public MemoryProgressThread(JProgressBar pbar, JLabel label) {
        this.pbar = pbar;
        this.label = label;
        Color c = new Color(153, 204, 0);
        //this.pbar.setForeground(Color.WHITE);  // bar *back*ground
       // c = new Color(236, 233, 216);
        //this.pbar.setBackground(c); // bar *fore*ground

        BasicProgressBarUI ui = new BasicProgressBarUI() {

            @Override
            protected Color getSelectionBackground() {
                return Color.BLACK; // string color over the background
            }

            @Override
            protected Color getSelectionForeground() {
                return Color.BLACK; // string color over the foreground
            }
        };
        this.pbar.setUI(ui);
    }

    @Override
    public void run() {
        int min = 0;
        int max = 100;
        int occupied = 0;
        int total = 0;
        int status = 0;
        pbar.setMinimum(min);
        pbar.setMaximum(max);
        pbar.setValue(status);
        while (true) {
            try {
                total = (int) (Runtime.getRuntime().totalMemory() / M);
                occupied = (int) ((Runtime.getRuntime().totalMemory()-Runtime.getRuntime().freeMemory()) / M);
            } catch (Exception e) {
                e.printStackTrace();
            }
            // label.setText("Free Memory :" + (int) (Runtime.getRuntime().freeMemory() / M) + "M" + " Totle Memory Allocated :" + (int) (Runtime.getRuntime().totalMemory() / M) + "M");
            label.setText("Occupied Memory :" +occupied+ "M/ " + (int) total + "M(Allocated)");

            status = (int) (occupied * 100 / total);
            //status=100-status;
            pbar.setValue(status);
            pbar.setString("Occupied Momery " + status + "%");

            try {
                MemoryProgressThread.sleep(5000);
            } catch (InterruptedException err) {
            }
        }
    }
}
