/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.cobi.util.download;

import org.apache.http.HttpEntity;
import org.apache.http.HttpResponse;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.impl.client.DefaultHttpClient;
import org.apache.http.protocol.BasicHttpContext;
import org.apache.http.protocol.HttpContext;

/**
 *
 * @author MX Li
 */
public class HttpClient4API {

    public static long getContentLength(String url)  {
        HttpClient httpClient = new DefaultHttpClient();
        HttpContext context = new BasicHttpContext();
        HttpGet httpGet = new HttpGet(url);
        long len = -1;
        try {
            HttpResponse response = httpClient.execute(httpGet, context);
            // Get hold of the response entity
            HttpEntity entity = response.getEntity();
            if (entity != null) {
                len = entity.getContentLength();
                // ensure the connection gets released to the manager
                //entity.consumeContent();
                //otherwise it takes  long time to retrieve the data
                httpGet.abort();
            }
        } catch (Exception ex) {
            httpGet.abort();
            ex.printStackTrace();
        }
        // When HttpClient instance is no longer needed,
        // shut down the connection manager to ensure
        // immediate deallocation of all system resources
        httpClient.getConnectionManager().shutdown();
        return len;
    }
    
    public static boolean testConnection(String url){
        HttpClient httpClient = new DefaultHttpClient();
        HttpContext context = new BasicHttpContext();
        HttpGet httpGet = new HttpGet(url);
      
        try {
            HttpResponse response = httpClient.execute(httpGet, context);
            // Get hold of the response entity
            HttpEntity entity = response.getEntity();
            if (entity != null) {                
                httpGet.abort();
                return true;
            }
        } catch (Exception ex) {
            httpGet.abort();
           // ex.printStackTrace();
        }
        // When HttpClient instance is no longer needed,
        // shut down the connection manager to ensure
        // immediate deallocation of all system resources
        httpClient.getConnectionManager().shutdown();
        return false;
    }
}
