/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.cobi.igg3;

import java.io.File;
import org.cobi.igg3.entity.PedFile;
import org.cobi.igg3.entity.Project;

/**
 *
 * @author MX Li
 */
public class IGG3CUI {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        // TODO code application logic here
        IGG3CUI mainFrame = new IGG3CUI();
        try {
            if (args.length < 10) {
                System.err.println("Usage: java -jar -Xmx1024m IGG.jar -cui -prj ...<IGGProjectPath>.xml");
            }
            String name = args[2];
            String prjName = name.substring(name.lastIndexOf(File.separator) + 1);
            String workingPath = name.substring(0, name.lastIndexOf(File.separator));
            Project openProject = new Project(prjName, workingPath);
            openProject.readProjectVariables();
            PedFile newPedFile = new PedFile();
            String msg = newPedFile.parseIGGPed(openProject.getPedigreeFilePath());
            System.out.println(msg);
            GlobalVariables.addInforLog(msg);
            GlobalVariables.currentProject = openProject;
            GlobalVariables.lastAccessedPath = workingPath;
            openProject.setPedFile(newPedFile); 
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }
}
