/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.cobi.igg3.file;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.nio.channels.FileChannel;

/**
 *
 * @author mxli
 */
public class LocalFileFunc {

    static public void delAll(File f) throws IOException {
        if (!f.exists()) {
            throw new IOException("Cannot delete:" + f.getName());
        }
        boolean rslt = true;

        if (!(rslt = f.delete())) {
            File subs[] = f.listFiles();
            for (int i = 0; i <= subs.length - 1; i++) {
                if (subs[i].isDirectory()) {
                    delAll(subs[i]);
                }
                rslt = subs[i].delete();
            }
            rslt = f.delete();
        }

        if (!rslt) {
            throw new IOException("Cannot delete:" + f.getName());
        }
        return;

    }

    static public boolean delAllInside(File f) throws IOException {
        if (!f.exists()) {
            throw new IOException("Cannot delete:" + f.getName());
        }
        boolean rslt = false;
        if (f.isDirectory()) {
            File subs[] = f.listFiles();
            for (int i = 0; i < subs.length; i++) {
                if (subs[i].isDirectory()) {
                    delAll(subs[i]);
                }
                rslt = subs[i].delete();
            }
        } else {
            rslt = f.delete();
        }
        return rslt;
    }

    static public void copyFile(String srcFilename, String dstFilename) throws IOException {
        File f = new File(srcFilename);
        if (!f.exists()) {
            throw new IOException("File not exsit:" + f.getName());
        }

        // Create channel on the source  
        FileChannel srcChannel = new FileInputStream(srcFilename).getChannel();

        // Create channel on the destination  
        FileChannel dstChannel = new FileOutputStream(dstFilename).getChannel();

        // Copy file contents from source to destination  
        dstChannel.transferFrom(srcChannel, 0, srcChannel.size());
        // Close the channels  
        srcChannel.close();
        dstChannel.close();
    }
}
