// (c) 2008-2009 Miaoxin Li
// This file is distributed as part of the IGG source code package
// and may not be redistributed in any form, without prior written
// permission from the author. Permission is granted for you to
// modify this file for your own personal use, but modified versions
// must retain this copyright notice and must not be distributed.

// Permission is granted for you to use this file to compile IGG.

// All computer programs have bugs. Use this file at your own risk.
// Saturday, January 17, 2009
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.cobi.igg3.genetformator;

import java.io.BufferedWriter;
import java.util.List;
import org.cobi.igg3.entity.AnnotSNP;

/**
 *
 * @author mxli
 */
public class HaploviewFiles {

    public boolean writeMarkerInformationHaploview(BufferedWriter bw, List<AnnotSNP> snpInfo) throws
            Exception {

        int snpInfoSize = 0;
        snpInfoSize = snpInfo.size();
        AnnotSNP snpInfoRow = null;
        for (int k = 1; k < snpInfoSize; k++) {
            snpInfoRow = snpInfo.get(k);
            bw.write(snpInfoRow.getRSID());
            bw.write("  ");
            bw.write(String.valueOf(snpInfoRow.getPhysicalPosition()));
            bw.write("\n");
        }        
        return true;
    }
}
