// (c) 2008-2009 Miaoxin Li
// This file is distributed as part of the IGG source code package
// and may not be redistributed in any form, without prior written
// permission from the author. Permission is granted for you to
// modify this file for your own personal use, but modified versions
// must retain this copyright notice and must not be distributed.

// Permission is granted for you to use this file to compile IGG.

// All computer programs have bugs. Use this file at your own risk.
// Saturday, January 17, 2009
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.cobi.igg3.gui;

import java.io.File;
import javax.swing.ImageIcon;

/**
 *
 * @author Miaoxin Li
 */
// a class which can change the node name and icon label
public class FileTreeNode extends File {

    private ImageIcon m_icon; 
    private String nodeName;

    public FileTreeNode(String fileName, String nodeName) {
        super(fileName);
        this.nodeName = nodeName;
    }
     
    @Override
    public String toString(){
        return nodeName;
    }
    
    public ImageIcon getM_icon() {
        return m_icon;
    }

    public void setM_icon(ImageIcon m_icon) {
        this.m_icon = m_icon;
    }

    public String getNodeName() {
        return nodeName;
    }

    public void setNodeName(String nodeName) {
        this.nodeName = nodeName;
    }
}
