// (c) 2008-2009 Miaoxin Li
// This file is distributed as part of the IGG source code package
// and may not be redistributed in any form, without prior written
// permission from the author. Permission is granted for you to
// modify this file for your own personal use, but modified versions
// must retain this copyright notice and must not be distributed.

// Permission is granted for you to use this file to compile IGG.

// All computer programs have bugs. Use this file at your own risk.
// Saturday, January 17, 2009
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.cobi.igg3.util;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.io.RandomAccessFile;
import java.io.StringReader;
import java.nio.MappedByteBuffer;
import java.nio.channels.FileChannel;
import java.util.Iterator;
import java.util.TreeSet;

/**
 *
 * @author mxli
 */
public class IOTest {

    public void convetionalIO(String fileName) {
        String line = null;
        long startTime = 0;
        long endTime = 0;
        startTime = System.currentTimeMillis();
        try {
            BufferedReader br = new BufferedReader(new FileReader(fileName));
            while ((line = br.readLine()) != null) {
            }
            br.close();
            endTime = System.currentTimeMillis();
            StringBuffer inforString = new StringBuffer();
            inforString.append("Lapsed Time: ");
            inforString.append((endTime - startTime) / 1000.0);
            inforString.append(" Seconds.\n");
            System.out.println(inforString.toString());
        } catch (FileNotFoundException e) {
            e.printStackTrace();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    public void newIO(String fileName) {
        try {
            long startTime = 0;
            long endTime = 0;
            startTime = System.currentTimeMillis();
            File file = new File(fileName);

            long fileLength = file.length();
            int bufferSize = 0x600000;// 默认6M的缓?;    

            MappedByteBuffer inputBuffer = new RandomAccessFile(fileName, "r").getChannel().map(FileChannel.MapMode.READ_ONLY, 0, fileLength);
            byte[] dst = new byte[bufferSize]; //每次读出6M的内?   

            BufferedReader br = null;

            for (int offset = 0; offset < fileLength; offset += bufferSize) {
                if (fileLength - offset >= bufferSize) {
                    for (int i = 0; i < bufferSize; i++) {
                        dst[i] = inputBuffer.get(offset + i);
                    }
                } else {
                    for (int i = 0; i < fileLength - offset; i++) {
                        dst[i] = inputBuffer.get(offset + i);
                    }
                }
                //把得到的dst 交给 BufferedReader 按行读出    
                br = new BufferedReader(new StringReader(new String(dst)));
                String line;
                StringBuffer next = new StringBuffer();

                while ((line = br.readLine()) != null) {
                }
                br.close();
            }
            endTime = System.currentTimeMillis();
            StringBuffer inforString = new StringBuffer();
            inforString.append("Lapsed Time: ");
            inforString.append((endTime - startTime) / 1000.0);
            inforString.append(" Seconds.\n");
            System.out.println(inforString.toString());
        } catch (FileNotFoundException e) {
            e.printStackTrace();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    public static void main(String[] args) {
        IOTest ioTest = new IOTest();
       // ioTest.newIO("D:\\home\\mxli\\MyProjects\\IGG\\resources\\raw\\affymetrix\\Mapping250K_Sty_annot.csv\\Mapping250K_Sty_annot.csv");
        //ioTest.convetionalIO("D:\\home\\mxli\\MyProjects\\IGG\\resources\\raw\\affymetrix\\Mapping250K_Sty_annot.csv\\Mapping250K_Sty_annot.csv");
        TreeSet<Integer> set=new TreeSet<Integer>();
        for (int i=0;i<10;i++){
            set.add(i);
        }
        Iterator iter=set.iterator();
        while(iter.hasNext()){
            System.out.print(iter.next()); 
            System.out.print(" ");
        }
        System.out.print("\n");
    }
}
